precision mediump float;

uniform sampler2D _unif_texture;
uniform vec2      _unif_res;

varying vec2 tex_coord;

void main() {
   vec4 mul0 = vec4(0.196482550151140400);
   vec2 off1 = vec2(1.411764705882353000 / _unif_res.x, 0);
   vec4 mul1 = vec4(0.296906964672834400);
   vec2 off2 = vec2(3.294117647058823400 / _unif_res.x, 0);
   vec4 mul2 = vec4(0.094470397850447320);
   vec2 off3 = vec2(5.176470588235294000 / _unif_res.x, 0);
   vec4 mul3 = vec4(0.010381362401148057);

   vec4 color = texture2D(_unif_texture, tex_coord) * mul0;
   color += texture2D(_unif_texture, tex_coord + off1) * mul1;
   color += texture2D(_unif_texture, tex_coord - off1) * mul1;
   color += texture2D(_unif_texture, tex_coord + off2) * mul2;
   color += texture2D(_unif_texture, tex_coord - off2) * mul2;
   color += texture2D(_unif_texture, tex_coord + off3) * mul3;
   color += texture2D(_unif_texture, tex_coord - off3) * mul3;
   gl_FragColor = color;
}
